Bug 23256 - [Custom]: Coordinate with SVG WG and Math WG about dashed element names
Summary: [Custom]: Coordinate with SVG WG and Math WG about dashed element names
Status: RESOLVED FIXED
Alias: None
Product: WebAppsWG
Classification: Unclassified
Component: HISTORICAL - Component Model (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: Dimitri Glazkov
QA Contact: public-webapps-bugzilla
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14968
  Show dependency treegraph
 
Reported: 2013-09-16 14:25 UTC by Simon Pieters
Modified: 2013-11-15 20:38 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Pieters 2013-09-16 14:25:45 UTC
"The custom element type identifies a custom element interface and is a sequence of alphanumeric ASCII characters that must match the NCName production and contain a U+002D HYPHEN-MINUS character."

So HTML already tries to avoid the dash in new elements (because it's ugly), but the same might not hold true for SVG or MathML. Are SVG and MathML on board with never introducing new elements with dashes?
Comment 1 Dimitri Glazkov 2013-11-08 20:50:17 UTC
Tab stated on behalf of SVG WG that they're not doing dashes. I will ask Math WG folks.
Comment 2 Dimitri Glazkov 2013-11-15 20:38:33 UTC
One of Math WG co-chairs chimed in: http://lists.w3.org/Archives/Public/www-math/2013Nov/0020.html

Even though this is his personal opinion, he does state that the group has no immediate plans to add new elements.

I am going to say that since we're now on the WG's radar, we can safely close this bug as fixed.